(function($) {
	$(function() { 

		var $color = getParameterByName('color');
		var $fs = getParameterByName('font_size');

		if($color == ''){
			$color = 'blue';
		}
		
		if($fs == ''){
			$fs = '0';
		}
		changeFontSize($fs);
		
		$('a').each(function(){
			if(this.id!='emailto' && this.id!='skip' && this.id!='video_popup'){
				$(this).attr('href', $(this).attr('href') + '?color=' + $color + '&font_size='+$fs);
			}
		})
		
		$('body').addClass($color);

		$('#skip').click(function(){
			$('#web-access').focus();
		})

		dropdown('nav', 'hover', 0);

		$music = 'music_demo.MP3';

		$('#music').click(function(){
			if($(this).hasClass('stopped')){
				$(this).removeClass('stopped').addClass('started').html('關閉背景音樂 ');
				$('#player-wrap').html('<embed id="player" src="music_demo.MP3" autostart="true" loop="true"width="2" height="0"></embed>');
			}else{
				$('#player-wrap').html('');
				$(this).removeClass('started').addClass('stopped').html('開啟背景音樂');
			}
			return false;
		})

		$("#scroller").simplyScroll({
			autoMode: 'loop',
			horizontal: false
		});

		$('#color-link').stop(true, true).hover(function(){
			$('#color-wrap').fadeIn();
		});

		$('#color-wrap').mouseleave(function(){
			$('#color-wrap').fadeOut();
		});
		
		$('#color-link').on("focus", function(event){ 
			$('#color-wrap').fadeIn(); 
		}); 
		
		$('#sitemap').on("focus", function(event){ 
			$('#color-wrap').fadeOut(); 
		}); 
		
		$('#music').on("focus", function(event){ 
			$('#color-wrap').fadeOut(); 
		});
		
		$('#slideshow').cycle({
			pager:  '#banner-nav',
			pagerAnchorBuilder: function(idx, slide) { 
		        // return selector string for existing anchor 
		        return '#banner-nav li:eq(' + idx + ') a'; 
		    }
		});

		$('#banner-controls').find('.stop').click(function(){
			$('#slideshow').cycle('pause');
			return false;
		});
		$('#banner-controls').find('.play').click(function(){
			$('#slideshow').cycle('resume');
			return false;
		});

		// BLACK
		$('#black').click(function(){
			$('body').removeClass('blue green').addClass('black');
			$('a').each(function(){
				$url = $(this).attr('href').replace('?color=blue', '?color=black').replace('?color=green', '?color=black').replace('?color=black', '?color=black');
				$(this).attr('href', $url);
			});
			return false;
		});

		// BLUE
		$('#blue').click(function(){
			$('body').removeClass('black green').addClass('blue');
			$('a').each(function(){
				$url = $(this).attr('href').replace('?color=blue', '?color=blue').replace('?color=green', '?color=blue').replace('?color=black', '?color=blue');	
				$(this).attr('href', $url);
			});
			return false;
		});

		// GREEN
		$('#green').click(function(){
			$('body').removeClass('blue black').addClass('green');
			$('a').each(function(){
				$url = $(this).attr('href').replace('?color=blue', '?color=green').replace('?color=green', '?color=green').replace('?color=black', '?color=green');
				$(this).attr('href', $url);
			});
			return false;
		});
		
		// font size
		$('#fs_0').click(function(){
			$('a').each(function(){
				$url = $(this).attr('href').replace('&font_size=0', '&font_size=0').replace('&font_size=1', '&font_size=0').replace('&font_size=2', '&font_size=0');
				$(this).attr('href', $url);
			});
			return false;
		});
		
		$('#fs_1').click(function(){
			$('a').each(function(){
				$url = $(this).attr('href').replace('&font_size=0', '&font_size=1').replace('&font_size=1', '&font_size=1').replace('&font_size=2', '&font_size=1');
				$(this).attr('href', $url);
			});
			return false;
		});
		
		$('#fs_2').click(function(){
			$('a').each(function(){
				$url = $(this).attr('href').replace('&font_size=0', '&font_size=2').replace('&font_size=1', '&font_size=2').replace('&font_size=2', '&font_size=2');
				$(this).attr('href', $url);
			});
			return false;
		});

		function getParameterByName(name)
			{
			  name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
			  var regexS = "[\\?&]" + name + "=([^&#]*)";
			  var regex = new RegExp(regexS);
			  var results = regex.exec(window.location.search);
			  if(results == null)
			    return "";
			  else
			    return decodeURIComponent(results[1].replace(/\+/g, " "));
			}
	});
})(jQuery);

var COOKIE_FONT_NAME = "font_size";
var COOKIE_FONT_EXPIRES = 7;

function changeFontSize(fs)
{
	set_cookie(COOKIE_FONT_NAME,fs,COOKIE_FONT_EXPIRES);

	var s = document.getElementsByTagName("body");
	for( i = 0 ; s.length ; i++ )
	{
		if(s[i] == undefined)
			return;

		if(s[i].id == 'body_resize')
			if(fs=="0")
			{
				fs="40%";
			} 
			if(fs=="1")
			{
				fs="55%";
			}
			if(fs=="2")
			{
				fs="83%";
			}
			s[i].style.fontSize = fs;
	}
}

function get_cookie(cookie_name)
{
	//This function has been modified from an example at W3Schools
	if (document.cookie.length > 0)
	{
		start = document.cookie.indexOf(cookie_name);

		if (start != -1)
		{ 
			start += cookie_name.length + 1; 
			end = document.cookie.indexOf(";", start);  
			if (end == -1)
			{
				end = document.cookie.length; 
			}

			var cookie_value = document.cookie.substring(start, end);  

			return unescape(cookie_value);
		} 
	}

	return cookie_value;
}

function set_cookie(cookie_name, cookie_value, expire_days)
{
	var str = cookie_name + "=" + escape(cookie_value) + "; ";
	var expire_date = new Date();
	expire_date.setDate(expire_date.getDate() + expire_days);

	str += "expires=" + expire_date.toGMTString() + "; path=/;";

	document.cookie = str;
}

// Popup window code

function popWin(url) {
   myWindow=window.open(url,"","width=500,height=450,left=250,top=100");
}

function closeWin()
{
	window.close();
}

/*
function initFontSize()
{
	var size = get_cookie(COOKIE_FONT_NAME);
	
	if(!size)
	{
		size = getParameterByName('font_size');
	}
	changeFontSize(size);
}

(
	function()
	{
		if(window.addEventListener)
		{
			window.addEventListener("load", initFontSize, false); 
		}
		else
		{
			window.attachEvent("onload", initFontSize);
		}
	}
)();*/
